<template>
  <Layout>
    <header>
      <h1>
        Myanmar Unicode Romanization (customized BGN)
      </h1>
    </header>
    <main>
      <div class="flex-1">
        <div class="card flex-1">
          <h2 id="Sources">
            Transliteration/Romanization sources
          </h2>
          <ul>
            <li>
              <a href="https://www.asiapearltravels.com/language/lesson33.php"
                >Asiapearltravels - (Lesson 33: Learn to read Burmese Script)</a
              >
            </li>
            <li>
              <a
                href="https://en.wiktionary.org/wiki/Wiktionary:Burmese_transliteration"
                >Wiktionary - Burmese_transliteration</a
              >
            </li>
            <li>
              <a href="https://en.wikipedia.org/wiki/Romanization_of_Burmese"
                >Wikipedia - Romanization_of_Burmese</a
              >
            </li>
            <li>
              <a
                href="https://en.wikipedia.org/wiki/BGN/PCGN_romanization_of_Burmese"
                >Wikipedia - PCGN_romanization_of_Burmese</a
              >
            </li>
            <li>
              <a href="https://en.wikipedia.org/wiki/MLC_Transcription_System"
                >Wikipedia - MLC_Transcription_System</a
              >
            </li>
            <li>
              <a href="https://r12a.github.io/scripts/myanmar"
                >r12a.github.io/scripts/myanmar - Myanmar/Burmese</a
              >
            </li>
            <li>
              <a href="https://en.wikipedia.org/wiki/Burmese_phonology"
                >Wikipedia - Burmese_phonology</a
              >
            </li>
            <li>
              <a href="https://www.wikiwand.com/en/Burmese_language#Phonology"
                >wikiwand - Phonology</a
              >
            </li>
            <li>
              <a href="https://en.wikipedia.org/wiki/Burmese_alphabet"
                >wikipedia - Burmese_alphabet</a
              >
            </li>
            <li>
              <a
                href="https://en.wikipedia.org/wiki/Burmese_language#Consonants"
                >wikepdia - Burmese_language#Consonants</a
              >
            </li>
            <li>
              <a href="https://github.com/ye-kyaw-thu/myG2P"
                >ye-kyaw-thu / myG2P</a
              >
              (contains a dictionary file with examples of pronounciations)
            </li>
            <li>
              <a
                href="https://github.com/trhura/python-myanmar/tree/master/myanmar/data"
                >trhura / python-myanmar / data</a
              >
              (example data for bgn/ipa/mlc)
            </li>
          </ul>
          <br />
          <h2 class="title">Vocabulary/Learning sources</h2>
          <ul>
            <li>
              <a
                href="https://www.asiapearltravels.com/language/burmese-lessons.php"
                >Asiapearltravels - burmese lessons</a
              >
            </li>
            <li>
              <a href="https://www.soas.ac.uk/bbe/"
                >Okell - Burmese By Ear or Essential Myanmar (University of
                Londond - SOAS)</a
              >
            </li>
            <li>
              <a href="https://ankiweb.net/shared/info/1505130874"
                >AnkiWeb - Burmese Basic Vocabulary (2300 words)</a
              >
            </li>
            <li>
              <a
                href="https://en.wikipedia.org/wiki/Burmese_numerical_classifiers"
                >Wikipedia - burmese numerical classifiers</a
              >
            </li>
            <li>
              <a
                href="https://1000mostcommonwords.com/1000-most-common-myanmar-words/"
                >1000mostcommonwords - 1000-most-common-myanmar-words</a
              >
            </li>
            <li>
              <a
                href="https://cracking-burmese.com/2018/03/05/burmese-top-150-and-top-1000-word-list/"
                >cracking-burmese - burmese-top-150-and-top-1000-word-list</a
              >
            </li>
          </ul>
          <br />
          Something funny to read.
          <a
            href="https://viss.wordpress.com/2009/01/04/10-things-i-hate-about-the-burmese-language/"
            >https://viss.wordpress.com/2009/01/04/10-things-i-hate-about-the-burmese-language/</a
          >
        </div>
        <transliteration-box ref="transliterationBox"></transliteration-box>

        <div class="card">
          Basic Romanization rules based on <b>BGN/PCGN 1970</b> found on (<a
            href="https://en.wikipedia.org/wiki/BGN/PCGN_romanization_of_Burmese#cite_note-ul-1"
            >Wikipedia - PCGN_romanization_of_Burmese - 'ROMANIZATION SYSTEM FOR
            BURMESE' (PDF). BGN/PCGN 1970 Agreement. Retrieved 18 July 2015.)</a
          >
          <br />
          Additional exceptions from
          <a href="https://www.asiapearltravels.com/language/lesson33.php"
            >Asiapearltravels - (Lesson 33: Learn to read Burmese Script)</a
          >
          and personal infered rules for stacked consonants.<br /><br />
          The following is a good short description of the difference between
          transliteration and romanization systems. <br />
          BGN has a higher emphasis on pronounciation and the newer MLCTS has a
          better transliteration accuracy.
          <blockquote
            class="relative mt-8 mx-auto bg-gray-100 rounded-lg shadow p-8 border border-dashed"
          >
            <p class="mb-2 italic">
              There are four systems of romanizing Burmese in use at Wiktionary.
              Two of these put more emphasis on the orthography in the Burmese
              script (transliterations), and two put more emphasis on the
              pronunciation of the Burmese word (transcriptions).
            </p>
            <cite class="absolute right-0 mr-12">
              -<a
                href="https://en.wiktionary.org/wiki/Wiktionary:Burmese_transliteration#Burmese_transliteration"
                >Wiktionary - Burmese_transliteration</a
              ></cite
            >
          </blockquote>
          <br />
          The newer recommended transliteration system from the government is
          MLCTS which seems to have a more detailed representation of myanmar
          characters. A List of common romanization and transcription systems
          can be found on
          <a href="https://en.wikipedia.org/wiki/Romanization_of_Burmese"
            >Wikipedia - Romanization_of_Burmese</a
          ><br />
          Since i wanted one "easy" to read and pronounce system i decided on
          the older romanization base of BGN.<br />
          This helps me standardize approximate pronounciations for
          myanmar-english entries without latin pronounciation or which are
          using different romanization systems into my vocabulary dictionary.
        </div>

        <div class="card" id="examples">
          <h2>A few example words with pronounciations of their sources</h2>

          <ul>
            <b>stacked characters</b>
            <li>
              <copyToTransliteration
                text="ပိန္နဲသီး"
                @onBtnClick="pronouncePreview"
              />
              [jackfruit] (/pèiɴnɛ̀.ðì/) //Anki
            </li>
            <li>
              <copyToTransliteration
                text="လိမ္မော်ရည်"
                @onBtnClick="pronouncePreview"
              />
              [orange juice] (/leiɴmɔ.ye/) //Anki
            </li>
            <li>
              <copyToTransliteration
                text="တက္ကသိုလ်"
                @onBtnClick="pronouncePreview"
              />
              [university] (/tɛʔkəθo/) လ် is a special muted character //Anki
            </li>
            <b>stacked abbreviations</b>
            <li>
              <copyToTransliteration
                text="သမီး"
                @onBtnClick="pronouncePreview"
              />
              abbreviated to
              <copyToTransliteration
                text="သ္မီး"
                @onBtnClick="pronouncePreview"
              />
              [daugther] (/θəmì/) //<a
                href="https://en.wikipedia.org/wiki/Burmese_alphabet#Stacked_consonants"
                >Wikipedia - Burmese_alphabet</a
              >
            </li>
            <li>
              <copyToTransliteration
                text="လက်ဖက်"
                @onBtnClick="pronouncePreview"
              />
              commonly abbreviated to
              <copyToTransliteration
                text="လ္ဘက်"
                @onBtnClick="pronouncePreview"
              />
              [tea] (LetPet/LaPet) //
              <a
                href="https://en.wikipedia.org/wiki/Burmese_alphabet#Stacked_consonants"
                >Wikipedia - Burmese_alphabet</a
              >
            </li>
            <b>simplified stacked words</b>
            <li>
              <copyToTransliteration
                text="ယောက်ျ"
                @onBtnClick="pronouncePreview"
              />
              [man,husband] (/yauʔʨà/) //Anki
            </li>
            <li>
              <copyToTransliteration
                text="သောကြာနေ့"
                @onBtnClick="pronouncePreview"
              />
              [friday] (/θauʔʨa.né/)//Anki /(thout-kja2 nay1) //<a
                href="https://www.asiapearltravels.com/language/lesson33.php#double_stacked"
                >asiapearltravels - Lesson 33: Learn to read Burmese Script -
                Simplified Double Stacked words</a
              >
            </li>
            <li>
              <copyToTransliteration
                text="စကြဝဠာ"
                @onBtnClick="pronouncePreview"
              />
              [universe] (/sɛʔʨawəla/) //Anki
            </li>

            <b>double consonants</b>
            <li>
              <copyToTransliteration
                text="ဘတ်စ်ကား"
                @onBtnClick="pronouncePreview"
              />
              [bus] (/baʔsəká/)IPA //<a
                href="https://en.wiktionary.org/wiki/Wiktionary:Burmese_transliteration#Burmese_transliteration"
                >Wiktionary - Burmese_transliteration</a
              >
            </li>

            <b>special character ည(nya)/ဿ(ss)</b>
            <li>
              <copyToTransliteration
                text="ပညာ"
                @onBtnClick="pronouncePreview"
              />
              [knowledge] (pyin2-nya2) //<a
                href="https://www.asiapearltravels.com/language/lesson33.php#double_stacked"
                >asiapearltravels - Lesson 33: Learn to read Burmese Script -
                Simplified Double Stacked words</a
              >
            </li>
            <li>
              <div class="quote">
                In modern Burmese, ဿ appears within words, whereas သ်သ is used
                across word boundaries
                <div class="source">
                  <a href="https://r12a.github.io/scripts/myanmar/#repetition"
                    >r12a - myanmar stacked repetition</a
                  >
                </div>
              </div>
              written
              <copyToTransliteration
                text="ပိဿာ"
                @onBtnClick="pronouncePreview"
              />
              (PiSsa) [viss] spoken ပိသ္သာ (BăDTha) since the special character ဿ is at
              the last syllable of the word it is written as a stacked character
              //https://en.wikipedia.org/wiki/MLC_Transcription_System
            </li>
          </ul>
        </div>

        <div class="card" id="stackedCharacters">
          Since i haven't found any detailed descriptions about stacked
          characters. I needed to infer some rules so that the result matches
          ipa or other pronounciation examples.<br />
          To understand my description you need to know what a Syllable
          contains.<br />
          <display-syllable
            consonant="Consonant"
            vowel="Vowel"
            endOfSyllable="End Of Syllalbe"
            toneSentencemark="Tone Sentence Mark"
            >Full Syllable contains </display-syllable
          ><br />
          <h2>
            Stacked Characters
          </h2>
          <div>
            <b
              >written
              <copyToTransliteration
                text="ပိန္နဲသီး"
                @onBtnClick="pronouncePreview"
              />
              spoken ပိန်နဲသီ</b
            >
          </div>
          <div>
            <b>ပိန္နဲ expands to ပိန်နဲ </b>

            <br />It is a stacked character if there is a previous syllable
            <display-syllable
              consonant="ပ"
              vowel="ိ"
              endOfSyllable=""
              toneSentencemark=""
            /><br />
            and the middleConsonant with an additional final
            <display-syllable
              consonant=""
              vowel=""
              endOfSyllable="န်"
              toneSentencemark=""
            />
            can be a valid EndOfSyllable for the previous Syllable. <br />
            If there is a previous vowel it needs to build a valid EndOfSyllable
            together with the stacked middle Consonant.<br />
            Afterwards merge bottom consonant with vowel of stacked Character နဲ
            <br /><display-syllable
              consonant="ပ"
              vowel=""
              endOfSyllable="ိန်"
              toneSentencemark=""
              >ပိန်</display-syllable
            >
            +
            <display-syllable
              consonant="န"
              vowel="ဲ"
              endOfSyllable=""
              toneSentencemark=""
              >နဲ</display-syllable
            >
            <br />
            If the stacked Character can't build a new EndOfSyllable with a
            previous Syllable it would be a Stacked Abbreviation.
          </div>
        </div>
        <div class="card" id="stackedAbbreviations">
          <h2>
            Stacked Abbreviations
          </h2>
          <div>
            <b
              >written
              <copyToTransliteration
                text="သ္မီး"
                @onBtnClick="pronouncePreview"
              />
              spoken/expands to သမီး</b
            >
          </div>
          <div>
            <!--(limited to upperVowelCharacters of = [ ဲ, ိ, ီ] <br />
            syllable has no consonant combinator and has a lower consonant and
            upperVowelCharacter. )<br /> -->
            Middle consonant + final character can not combine with previous
            syllable into an endOfSyllable or there is no previous syllable.
            <br />
            middle character gets pulled out without an additional final
            character and becomes a seperated consonant. LowerStacked consonant
            merges with VowelCharacter and Consonant Combinator if they exists.
          </div>
        </div>
        <div class="card" id="simplifiedStacked">
          <h2>
            Simplified Double Stacked Words (marked by the final character over
            a consonant)
          </h2>
          <div>
            <b
              >written
              <copyToTransliteration
                text="ယောက်ျ"
                @onBtnClick="pronouncePreview"
              />
              spoken/expands to ယောက်ကျ</b
            ><br />
            <display-syllable
              consonant="ယ"
              vowel="ော"
              endOfSyllable=""
              toneSentencemark=""
              >ယော</display-syllable
            >
            <display-syllable
              consonant="က"
              vowel=""
              endOfSyllable="်"
              toneSentencemark=""
              >ကျ်</display-syllable
            >
            spoken as
            <display-syllable
              consonant="ယ"
              vowel=""
              endOfSyllable="ောက်"
              toneSentencemark=""
              >ယောက်</display-syllable
            >
            <display-syllable
              consonant="က"
              consonantCombinator="ျ"
              vowel=""
              endOfSyllable=""
              toneSentencemark=""
              >ကျ</display-syllable
            >
          </div>
          <div>
            change <b>ကျ် to က်ကျ</b> for this example. This could also be
            ကျ(kya) without added vowel (a) = (ky) if previous Syllable has an
            EndOfSyllable or can not build a new EndOfSyllable with the added
            က်<br />
            Here you need to look at the previous syllable. Does the previous
            syllable have an EndOfSyllable? Than you would speak the consonant
            with final without an added vowel. This is called a double
            consonant. <br />
            If the previous syllable has
            <display-syllable
              consonant="Consonant"
              vowel="Vowel"
            ></display-syllable>
            than you would need to look if the addition of
            <display-syllable endOfSyllable="က်" /> can build an EndOfSyllable
            with the previous Syllable. If it doesn't combine into an
            EndOfSyllable it is a double consonant<br />
            In this case
            <display-syllable
              consonant="Consonant"
              vowel="ော"
              endOfSyllable="က်"
              >vowel+added က်</display-syllable
            >
            would build a valid EndOfSyllable
            <display-syllable consonant="ယ" endOfSyllable="ောက်" /><br />
            The Final character is put away into the previous Syllable by the
            added က် and the syllable ကျ် sheds its final character and will be
            <display-syllable
              consonant="က"
              consonantCombinator="ျ"
              vowel=""
              endOfSyllable=""
              toneSentencemark=""
              >ကျ</display-syllable
            >
          </div>
          <br />
          <div>
            <b
              >written
              <copyToTransliteration
                text="သောကြာနေ့"
                @onBtnClick="pronouncePreview"
              />
              spoken/expands to သောက်ကြာနေ့</b
            ><br />
            သောကြာ is another example since not only the final character can
            produce a simplified double stacked word. (<a
              href="https://www.asiapearltravels.com/language/lesson33.php#double_stacked"
              >Asiapearltravels - Lesson 33: Learn to read Burmese Script -
              Simplified Double Stacked words</a
            >)<br />
            written
            <display-syllable consonant="သ" vowel="ော"></display-syllable>
            <display-syllable consonant="က" consonantCombinator="ြ" vowel="ာ" />
            spoken as
            <display-syllable
              consonant="သ"
              vowel=""
              endOfSyllable="ောက်"
            ></display-syllable>
            <display-syllable
              consonant="က"
              consonantCombinator="ြ"
              vowel="ာ"
            ></display-syllable
            ><br />The ြ &nbsp; has the same function as the final over a
            Consonant. If the added က် can combine with the previous vowel into
            a valid endOfSyllable or if there is no vowel in the previous
            syllable, it is a simplifid double stacked word.<br />
            In the case that the ြ&nbsp; is used the character is not removed
            like with the final character.<br />
            But the previous word must be a noun/verb. If the previous syllable
            is an adjective/adverb the ြ is not expanded into the previous
            endOfSyllable. <br />
            Example for non noun/verb infront of ြ
            <copyToTransliteration
              text="အသက်ပိုကြီးတယ်"
              @onBtnClick="pronouncePreview"
            />
            = အသက်[noun] + ပို[adj] + ကြီးတယ် should be spoken (ADetPoKyi:Dè).
          </div>
        </div>
        <div class="card">
          <h2>
            Double Consonants / Modern Closing Consonants
          </h2>
          <div>
            <copyToTransliteration
              text="ဂတ်စ်အိုး"
              @onBtnClick="pronouncePreview"
            />
            example without added က် for a Consonant with Final since the
            previous syllable has an EndOfSyllable.
            <display-syllable
              consonant="ဂ"
              consonantCombinator=""
              vowel=""
              endOfSyllable="တ်"
            />
            <display-syllable
              consonant=""
              consonantCombinator=""
              vowel=""
              endOfSyllable="စ်"
            />
            <display-syllable
              consonant="အ"
              consonantCombinator=""
              vowel="ို"
              endOfSyllable=""
              toneSentencemark="း"
            /><br />
            Here
            <display-syllable
              consonant=""
              consonantCombinator=""
              vowel=""
              endOfSyllable="စ်"
            />
            is just spoken as
            <display-syllable
              consonant="စ"
              consonantCombinator=""
              vowel=""
              endOfSyllable="်"
              >s</display-syllable
            >
            without standard spoken vowel "a".<br />
            I assume that it is a double consonant too when the previous
            syllable has a vowel but can not get a valid endOfSyllable with the
            additional က်. I need to lookout for a vocabulary where this
            situation happens.<br />
          </div>
        </div>
        <div class="card">
          <h2>
            ညာ nya exception.
          </h2>
          (Does this have a name? Is it even an applicable general rule?)<br />
          Example ညာ:<br />
          This is an exception since you need to look at the character as a
          double stacked ဉ. Than it would be a normal stacked character.
          <div>
            Here you need to know that the character ည can also be the same as a
            stacked character ဉ္ဉ or ဉ်ဉ
            <display-syllable
              consonant="ပ"
              endOfSyllable="ဉ်"
            /><display-syllable consonant="ဉ" endOfSyllable="" /><br />
            This example was given at the point "Simplified Double Stacked
            words" on
            <a
              href="https://www.asiapearltravels.com/language/lesson33.php#double_stacked"
              >https://www.asiapearltravels.com/language/lesson33.php</a
            ><br /><br />
            <b
              >ပညာ (C+CV = ပ + ည + ာ) expands into
              <strike>ပြဉ်ဉာ</strike> ပဉ်ဉာ</b
            ><br />
            if it has single Consonant (no vowel/endOfSyllable) infront of ညာ
            than expands ညာ into <strike>ြ&nbsp;</strike> ဉ်+ဉ+ာ<br />
            IPA pronounciation seems to add an additional "y" inbetween. But my
            assumed expanded spoken word has no additional combinator. So there
            is no added ြ &nbsp; and would just be (PinNya)[customBGN] and not
            like the other romanization system (pyin2-nya2) or (/pyiɴɲa/)<br />Maybe
            another exception like ပစ်(pyit)?
          </div>
        </div>
        <div class="card">
          <h2>
            Burmese voicing sandhi (Half Vowels and minor syllables and
            consonant voicing )
          </h2>
          <div>
            Still trying to understand sandhi and half vowels and nasal
            consonant changes. <br />
            Often used examples are
            <copyToTransliteration
              text="ကျွန်တော်"
              @onBtnClick="pronouncePreview"
            />
            and
            <copyToTransliteration
              text="ဘုရား"
              @onBtnClick="pronouncePreview"
            />
            and
            <copyToTransliteration
              text="ခင်ဗျား"
              @onBtnClick="pronouncePreview"
            />. ကျွန်တော် is written (KyunTaw) but spoken (kja1-nau2). For ဘုရား
            instead of /bṵ.já/ it should sound something like /pʰa.já/ and
            ခင်ဗျား (KinBya:) should be pronounced (kha1-mya3)<br />Currently
            best fit for half vowels i observed contains these rules.
            <ul>
              <li>
                check if it is followed by a valid word(using a noun/verb list
                to crossreference). I am using the noun and verb list from
                <a href="https://github.com/myanmarlinguistics/myanmar-words"
                  >မြန်မာဘာသာဗေဒ (Myanmar Linguistics) - မြန်မာစကားလုံးများ
                  (Myanmar Words / Burmese Words)</a
                > or if the next syllable is an openSyllable without glide<br/>
                Example ပုဂံ Pagan/Bagan is pronounced (bəgàɴ) not (pəgàɴ)
              </li>
              <li>
                It is not a half Vowel if the following consonant was
                compressed(stacked/abbreviated) or it is the last syllable of a
                multi syllable word.<br />
                If it is a single syllable it needs to be an open syllable
                without endOfSyllable or with kinza င် as an endOfSyllable or
                endOfSyllable endswith က်.
              </li>
              <li>
                <a href="https://r12a.github.io/scripts/myanmar/#voicing"
                  >r12a.github.io/scripts/myanmar/#voicing</a
                >
                contains further examples<br />
                this includes the not voicing if the previous syllable ends on a
                stop character "?" ["က်", "စ်", "တ်", "ပ်", "အ", "ဃ"]
                <div class="quote">
                  Note that care needs to be taken with compound words, since
                  they contain more than one word-initial syllable
                  <div class="source">
                    <a href="https://r12a.github.io/scripts/myanmar/#voicing"
                      >r12a.github.io/scripts/myanmar/#voicing</a
                    >
                  </div>
                </div>
                Theoretically when it is a beginning of a new word it should also not voice a consonant. Given example of r12a
                site are
                <ul>
                  <li>တစ်ဆယ် [ten] is pronounced (təʔsʰɛ̀) not (təʔzɛ̀)</li>
                  <li>
                    နားထောင် [listen] is pronounced (nátʰàʊɴ) not (nádàʊɴ)
                  </li>
                </ul>
                For now this is not implemented since i can not find the
                difference for correctly pronounciating သတင်းစာ (θədɪ́ɴzà) not
                (θətɪ́ɴsà) even though တင်း is a valid word and the consonant is voiced.
              </li>
            </ul>
            <br />
            This still does not fit for all cases but can match simpler examples
            of the ipa prounounciation of the anki flashcard vocabulary.<br />
            Still not working for
            <ul>
              <li>non open Syllables. လက်ဖက်ရည် /ləpʰɛʔ.ye/ //Anki</li>
              <li>သီးပင်အိုင် (Thibin-aing)</li>
              <li>ကွန်ရက် (kun-yet)</li>
              <li>
                complex sentence without spaces. Maybe needs some kind of word
                seperation?<br />ဒါ ဆိုရင် ကောင်း တာပေါ့ vs ဒါဆိုရင်ကောင်းတာပေါ့
              </li>
              <li>တံခါးဖွင့် vs တံခါး ဖွင့်</li>
              <li>
                ထမင်းရည် /tʰə.mə.jè/ 'rice-water'<br />
                Why is the second syllable spoken with a half Vowel? ထမင်း is a
                valid word and မင်း is the last syllable of the word. This is
                different to the word လက်ဖက်ရည် where လက်ဖက် is a valid word but
                the last syllable is not spoken as a half vowel.
              </li>
            </ul>

            <br />
            Interesting observation. Stacked characters are showing seperation
            for compound words. Half Vowel and consonant change is blocked. This
            could be a reason why some words are written stacked. <br />
            ပိန္နဲသီး spoken ပိန်နဲသီ (PeinNèThi: spoken sandhi PeinNăDi if
            there is no correct halfVowel syllable detection)
            <br />

            Here are some sites with information i found.
            <ul>
              <li>
                <a
                  href="https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi"
                  >wikipedia - Burmese_phonology#Burmese_voicing_sandhi</a
                >
              </li>
              <li>
                <a href="http://www.languagesgulper.com/eng/Burmese.html"
                  >languagesgulper - Phonology</a
                >
              </li>
              <li>
                <a
                  href="https://en.wikipedia.org/wiki/Burmese_phonology#Syllable_structure"
                  >Wikipedia - Burmese_phonology#Syllable_structure</a
                >
              </li>
              <li>
                <a
                  href="https://en.wiktionary.org/wiki/Wiktionary:Burmese_transliteration#Minor_syllables"
                  >Wiktionary - Burmese_transliteration#Minor_syllables</a
                >
              </li>
              <li>
                <a href="https://en.wiktionary.org/wiki/Module:my-pron"
                  >Wiktionary - python pronounciation script</a
                ><br />
                <a href="https://en.wiktionary.org/wiki/Template:my-IPA"
                  >Wiktionary - Template:my-IPA</a
                >
                has more minor syllable examples (without rules)
              </li>
            </ul>
            <br />
            I am currently trying out following rules for sandhi changes
            <ul>
              <li>
                If the current syllable is an openSyllable and not the final
                syllable of a multisyllable word and is followed by a valid word
                the current syllable is using a half vowel.
              </li>
              <li>
                If the consonant is the start of a valid word and has a
                preceding nasalized final character /ɰ̃/ of a valid word the
                consonant is changed to its matching nasal form
              </li>
              <li>
                In case of a half vowel change and the next consonant being a
                voiced consonant the consonant with the half vowel is changed to
                a voiced consonant too.
              </li>
            </ul>
            Examples from
            <a
              href="https://en.wikipedia.org/wiki/Burmese_phonology#Syllable_structure"
              >Wikipedia - Burmese_phonology#Syllable_structure</a
            >
            <ul>
              <li>ခလုတ် /kʰə.loʊʔ/ 'switch, button'</li>
              <li>ပလွေ /pə.lwè/ 'flute'</li>
              <li>သရော် /θə.jɔ̀/ 'mock'</li>
              <li>ကလက် /kə.lɛʔ/ 'be wanton'</li>
              <li>ထမင်းရည် /tʰə.mə.jè/ 'rice-water'</li>
            </ul>
            Examples from
            <a
              href="https://en.wiktionary.org/wiki/Wiktionary:Burmese_transliteration#Minor_syllables"
              >Wiktionary - Burmese_transliteration#Minor_syllables</a
            >
            <ul>
              <li>ခလုတ် /kʰəloʊʔ/</li>
              <li>စာရေး /səjé/</li>
              <li>ငါးဥ /ŋəʔṵ/</li>
              <li>သူငယ် /θəŋɛ̀/</li>
            </ul>
            Examples from
            <a
              href="https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi"
              >wikipedia - Burmese_phonology#Burmese_voicing_sandhi</a
            ><br />
            nasalized final voicing. Consonant change in compound words
            <ul>
              <li>"to consult" တိုင်ပင်: /tàɪɰ̃ pɪ̀ɴ/ → [tàɪm mɪ̃̀]</li>
              <li>e.g. "to apologize" တောင်းပန်: /táʊɰ̃ pàɴ/ → [táʊm mã̀]</li>
              <li>e.g. "airplane" လေယာဉ်ပျံ: /lèi jɪ̀ɰ̃ pjàɴ/ → [lèɪm mjã̀]</li>
            </ul>
            <br />
            Detailed explanation for ကတိ and ခင်ဗျား since they contain every
            sandhi change<br /><br />
            ကတိ: Each syllable are valid words. က[?Found in noun list]
            တိ[trim]<br />For this example it is only important that the
            following syllable is a valid word and the consonant of the first
            syllable is an aspirated/unaspirated consonant which has a paired
            voiced consonant on the same line to change to.
            <ul>
              <li>
                တိ voiced consonant change of the following syllable:<br />
                previousCharacter is ending with a vowel or nasal character
                (n/ng). တ is spoken as voiced consonant ဒ (<a
                  href="https://en.wikipedia.org/wiki/Burmese_alphabet#Letters"
                  >wikipedia - voiced change sources table</a
                >)
              </li>
              <li>
                HalfVowel change:<br />
                Instead of ending on the standard a vowel the vowel gets spoken
                as a halfVowel. <br />
                Syllable which vowel will be changed is an opensyllable or kinza
                and a one word syllable or part of a multi syllable word and not
                the last syllable of the word. It has a following word which can
                also contain more than one syllable.<br />
                Additional rule important for compound words.
                <div class="quote">
                  Reduction cannot occur in the final syllable of a word
                  <div class="source">
                    <a
                      href="https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi"
                      >https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi</a
                    >
                  </div>
                </div>
                For example the compound word of ကျက်သရေဆောင် = ကျက်သရေ
                [Dignity] + ဆောင်[bring] is not spoken (KyetThă|Y|ăZaung) but
                (KyetThă|Y|eZaung) since the last vowel of the word ကျက်သရေ
                [Dignity] should not be reduced.
              </li>
              <li>
                first consonant change:<br />
                <div class="quote">
                  "The second environment occurs around reduced syllables (see
                  reduction for more). When a syllable becomes reduced, the
                  vowel and any final consonants are reduced to a short schwa
                  [ə̆]. Reduction cannot occur in the final syllable of a word.
                  When a syllable becomes reduced, if both the consonant
                  preceding and following the schwa – i.e. the consonant of the
                  reduced syllable and the consonant of the following syllable –
                  are stops, then both will be voiced"
                  <div class="source">
                    <a
                      href="https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi"
                      >https://en.wikipedia.org/wiki/Burmese_phonology#Burmese_voicing_sandhi</a
                    >
                  </div>
                </div>
                3 points have to match
                <ul>
                  <li>Is the vowel changed to a halfVowel?</li>
                  <li>
                    Is the following consonant changed to a voiced consonant?
                  </li>
                  <li>
                    Can the Consonant infront of the halfVowel be changed to a
                    voiced consonant?
                  </li>
                </ul>
                Unaspirated က gets spoken with the matching voiced consonant ဂ.
              </li>
            </ul>
            <br />
            ခင်ဗျား Each syllable alone has another valid word meaning. Quick
            lookup with google translate i get these corresponding meanings:
            ခင်[friendly] ဗျား[you]
            <ul>
              <li>
                HalfVowel change:<br />
                Instead of ending on "in" the vowel gets changed to a halfVowel.
                <br />
                Syllable which vowel will be changed is an opensyllable or kinza
                and a one word syllable or part of a multi syllable word and not
                the last syllable of the word. It has a following word which can
                also contain more than one syllable.
              </li>
              <li>
                Nasalized Consonant change:<br />
                Here you need to match these 3 points
                <ul>
                  <li>The following Syllable is a valid word</li>
                  <li>
                    the word infront of the syllable is a valid word and ends
                    with a nasalized ending.
                  </li>
                  <li>
                    The following syllable has a (unaspirated/aspirated/voiced)
                    consonant with a corresponsing nasal consonant.
                  </li>
                </ul>
                Then you can speak the consonant ဗ with the nasal consonant မ.
              </li>
            </ul>
          </div>
        </div>

        <div class="comments">
          <Disqus />
        </div>
      </div>
    </main>
  </Layout>
</template>

<script>
import displaySyllable from "./../components/displaySyllable";
import transliterationBox from "./../components/transliterationBox";
import copyToTransliteration from "./../components/copyToTransliteration";
import { mypron } from "./../assets/js/my-pron";

export default {
  metaInfo: {
    title: "transliteration rules",
  },
  components: {
    displaySyllable,
    transliterationBox,
    copyToTransliteration,
  },
  data() {
    // data: function() {
    return {
      TypeEnums: {
        BGN: "BGN",
        IPA: "IPA",
        MLCTS: "MLCTS",
        Okell: "Okell",
      },
      lastInput: "",
      lastTypeSelection: "",
      lastWritten: "",
      lastSpoken: "",
      lastSpokenSandhi: "",
      transliterations: [
        /*
        { source: "စကြဝဠ ", target: "result" },
        { source: "လိမ္မော်ရည်  2", target: "result2" },*/
      ],
      transliterationType: "BGN",
      spoken: true,
      fetchState: "",
      lastSubmit: 0,
    };
  },
  mounted() {},
  beforeDestroy() {},
  methods: {
    changeStateContent(text) {
      this.fetchState = text;
    },
    pronouncePreview(text) {
      const DEBUG = false;
      console.log("pronounce text: " + text);
      /*
      console.log(this)
      console.log(this.$refs.transliterationBox)
      console.log(this.$refs.myanmarInput);*/
      this.$refs.transliterationBox.pronounce(text);
      /*
      //console.log("pronounce")
      //console.log("this.$refs.myanmarInput: " );
      // console.log(event);
      const inputValue = this.$refs.myanmarInput.value.trim();
      const maxLength = 128;
      if (inputValue.length < maxLength) {
        if (
          this.lastInput != inputValue ||
          this.lastTypeSelection != this.transliterationType
        ) {
          this.lastWritten = mypron(
            inputValue,
            this.transliterationType,
            false,
            false
          );
          this.lastSpoken = mypron(
            inputValue,
            this.transliterationType,
            true,
            false
          );
          this.lastSpokenSandhi = mypron(
            inputValue,
            this.transliterationType,
            true,
            true
          );
          this.lastInput = inputValue;
          this.lastTypeSelection = this.transliterationType;
        }
      } else {
        const limitText =
          "Text length limitation exceeded. This page is only for transliterating short words and sentences.";
        this.lastWritten = limitText;
        this.lastSpoken = "";
        this.lastSpokenSandhi = "";
      }*/

      //this.$refs.myanmarInput.value = "";
      // this.$refs.myanmarInput.focus();
    },
  },
};
</script>

<style>
.sidenav {
  width: 10px;

  right: 0;
  @apply sticky bg-gray-900  flex-shrink;
}
.sidenav:hover {
  width: 300px;
}
</style>
